#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=i686
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-i386 -cpu pentium3 -nographic -no-reboot -kernel bzImage -hda hda.sqf -append "root=/dev/hda rw init=/sbin/init.sh panic=1 PATH=$DISTCC_PATH_PREFIX/bin:/sbin console=ttyS0 HOST=i686 $KERNEL_EXTRA" $QEMU_EXTRA -net nic,model=e1000 -net user
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
